const express = require('express');

const stateApp = express.Router();

const libs = `${process.cwd()}/libs`;

const squel = require('squel');

const query = require(`${libs}/middlewares/query`);

const response = require(`${libs}/middlewares/response`);

// Get all states
stateApp.get('/', (req, res, next) => {
    req.sql.from('estado');
    next();
}, query, response('state'));

// Get a state
stateApp.get('/:id', (req, res, next) => {
    req.sql.from('estado')
        .where('pk_estado_id = ?', parseInt(req.params.id, 10));
    next();
}, query, response('state'));

// Get all states from a region
stateApp.get('/region/:id', (req, res, next) => {
    req.sql.from('estado')
        .where('fk_regiao_id = ?', parseInt(req.params.id, 10));
    next();
}, query, response('state'));

module.exports = stateApp;
